Isi

# Fungsi HasUnoInterfaces

Menguji apakah objek Dasar Uno mendukung antarmuka Uno tertentu.

Mengembalikan Benar, jika semua menyatakan antar muka Uno didukung, jika tidak bernilai Salah dikembalikan.

### Sintaksis:

HasUnoIntrfaces( oTest, Uno-Antar Muka-Nama 1[, Uno-Antar Muka-Nama 2, ...])

### Return type:

Bool

### Parameter:

Name | Type | Description
--- | --- | ---
oTest | Object | the Basic Uno object that you want to test.
Uno-Interface-Name 1, Uno-Interface-Name 2, ... | String | Uno interface name(s)

### Contoh:

    Sub HasInterface
        Dim bHas as Boolean
        Dim oSheet as Object
        oSheet = ThisComponent.Sheets(0)
        bHas = HasUnoInterfaces( oSheet, "com.sun.star.beans.XIntrospection" )
        Print bHas ' = True
    End Sub

Topik Terkait

UNO Objects, Functions and Services

Mohon dukung kami!